Spam screening (owner/manager)
GET
/v1/mobile/workspace/phone-screening
const url = 'https://api.vocapable.com/v1/mobile/workspace/phone-screening';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/mobile/workspace/phone-screening \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
InboundScreening
object
settings
required
InboundScreeningSettings
object
screening_enabled
required
Screening Enabled
boolean
lookup_enabled
required
Lookup Enabled
boolean
revision
required
Revision
integer
updated_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
blocked
required
Blocked
Array<object>
InboundNumberRuleobject
id
required
Id
string
action
required
Action
string
number_display
required
Number Display
string
created_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
created_at
required
Created At
string format: date-time
allowed
required
Allowed
Array<object>
InboundNumberRuleobject
id
required
Id
string
action
required
Action
string
number_display
required
Number Display
string
created_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
created_at
required
Created At
string format: date-time
recent
required
Recent
Array<object>
InboundScreenedCallobject
id
required
Id
string
decision
required
Decision
string
reasons
required
Reasons
Array<string>
reason_labels
required
Reason Labels
Array<string>
caller_display
required
Caller Display
string
can_set_rule
required
Can Set Rule
boolean
created_at
required
Created At
string format: date-time
can_manage
required
Can Manage
boolean
Example
{ "blocked": [ { "action": "block" } ], "allowed": [ { "action": "block" } ], "recent": [ { "decision": "blocked", "current_rule": "block" } ]}